## apt 0.7.6ubuntu14

=== debian/changelog ===
apt (0.7.6ubuntu14) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix resource leak (LP: #148806) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Oct 2007 20:57:44 +0200

apt (0.7.6ubuntu13) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix crash in WriteApportReport (LP: #144537)
  * apt-pkg/acquire-item.cc
    - fix disappearing local Packages.gz file (LP: #131166)
  * methods/https.cc:
    - fix off-by-one error I-M-S handling
    - cleanup after I-M-S hit

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2007 01:48:26 +0200

apt (0.7.6ubuntu12) gutsy; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-mark:
    - Fix chmoding after have renamed the extended-states file
      (thanks to Laurent Bigonville, LP: #140019)
  * apt-pkg/deb/debmetaindex.cc: comparison with string literal results
      in unspecified behaviour;
  * Reset curl options and timestamp between downloaded files. Thanks to
    Ryan Murray <rmurray@debian.org> for the patch

  [Paul Sladen]
  * Have 'cron.daily/apt' send D-Bus doesn't exist error messages
    to the bit bucket.  Thanks to 'dasdda'.  (LP: #115397)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 03 Oct 2007 02:17:45 +0200

apt (0.7.6ubuntu11) gutsy; urgency=low

  * apt-pkg/contrib/mmap.cc:
    - don't fail if msync() returns > 0 (LP: #144001)

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 21:39:29 +0100

apt (0.7.6ubuntu10) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix parse error when dpkg sends unexpected data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Sep 2007 17:25:09 +0100

apt (0.7.6ubuntu9) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix progress reporting precent calculation (LP: #137798)
  * make apt build with g++ 4.3
  * fix missing SetExecClose() call when the status-fd is used
    (LP: #136767)
  * debian/apt.cron.daily:
    - move unattended-upgrade before apt-get autoclean
  * fix "purge" commandline argument, closes LP: #125733
    (thanks to Julien Danjou for the patch)
  * cmdline/apt-get.cc:
    - do not change the auto-installed information if a package
      is reinstalled (LP: #139448)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Sep 2007 20:55:00 +0200

apt (0.7.6ubuntu8) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.{cc,h}:
    - fix bug in dpkg log writing when a signal is caught during
      select() (LP: #134858)
    - write end marker in the log as well

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Sep 2007 15:03:46 +0200

apt (0.7.6ubuntu7) gutsy; urgency=low

  * reupload to fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Aug 2007 19:44:20 +0200

apt (0.7.6ubuntu6) gutsy; urgency=low

  * dpkg-triggers: Deal properly with new package states.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 15 Aug 2007 20:44:37 +0100

apt (0.7.6ubuntu5) UNRELEASED; urgency=low

  * apt-pkg/acquire-item.cc:
    - fix file removal on local repo i-m-s hit (LP: #131166)
  * tests/local-repo:
    - added regression test for this bug

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Aug 2007 12:34:07 +0200

apt (0.7.6ubuntu4) gutsy; urgency=low

  * cmdline/apt-get.cc:
    - remove YnPrompt when a XS-Vcs- tag is found, improve the
      notice (LP: #129575)
  * methods/copy.cc:
    - take hashes here too
  * apt-pkg/acquire-worker.cc:
    - only pass on computed hash if we recived one from the method

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Aug 2007 19:30:29 +0200

apt (0.7.6ubuntu3) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix packagename extraction when writting apport reports
  * apt-pkg/pkgcachegen.cc:
    - increase default mmap size (LP: #125640)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Aug 2007 09:52:00 +0200

apt (0.7.6ubuntu2) gutsy; urgency=low

  * doc/examples/sources.list:
    - change example source to gutsy
  * apt-pkg/deb/dpkgpm.cc:
    - do not break if no /dev/pts is available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Aug 2007 15:17:57 +0200

apt (0.7.6ubuntu1) gutsy; urgency=low

  [ Michael Vogt ]
  * apt-inst/contrib/extracttar.cc:
    - fix fd leak for zero size files (thanks to Bill Broadley for
      reporting this bug)
  * apt-pkg/acquire-item.cc:
    - remove zero size files on I-M-S hit
  * methods/https.cc:
    - only send LastModified if we actually have a file
    - send range request with if-range 
    - delete failed downloads
    (thanks to Thom May for his help here)
    - delete zero size I-M-S hits
  * apt-pkg/deb/dpkgpm.{cc,h}:
    - merged dpkg-log branch, this lets you specify a 
      Dir::Log::Terminal file to log dpkg output to
    (ABI break)
    - when writting apport reports, attach the dpkg
      terminal log too
  * merged apt--sha256 branch to fully support the new
    sha256 checksums in the Packages and Release files
    (ABI break)
  * apt-pkg/pkgcachegen.cc:
    - increase default mmap size
  * tests/local-repo:
    - added local repository testcase
  * make apt build with g++ 4.3
  * fix missing SetExecClose() call when the status-fd is used
  * debian/apt.cron.daily:
    - move unattended-upgrade before apt-get autoclean
  * fix "purge" commandline argument, closes: #133421
    (thanks to Julien Danjou for the patch)
  * cmdline/apt-get.cc:
    - do not change the auto-installed information if a package
      is reinstalled
  * cmdline/apt-mark:
    - Fix chmoding after have renamed the extended-states file (LP: #140019)
      (thanks to Laurent Bigonville)

  [ Ian Jackson ]
  * dpkg-triggers: Deal properly with new package states.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Aug 2007 11:55:54 +0200

apt (0.7.6) unstable; urgency=low

  * Applied patch from Aurelien Jarno <aurel32@debian.org> to fix wrong
    directory downloading on non-linux architectures (closes: #435597)

 -- Otavio Salvador <otavio@debian.org>  Wed, 01 Aug 2007 19:49:51 -0300

apt (0.7.5) unstable; urgency=low

  [ Otavio Salvador ]


=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.7.2.2
Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5)
Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
XS-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: ${libapt-pkg:provides}
Recommends: ubuntu-keyring
Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma, gnupg
Section: admin
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: apt-doc
Architecture: all
Priority: optional
Replaces: apt (<< 0.5.4.9)
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide, for APT, an
 Advanced Package Tool.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt (= ${Source-Version}), apt-utils (= ${Source-Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Provides: ${libapt-inst:provides}
Replaces: apt (<< 0.5.9)
Section: admin
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Section: admin
Description: APT https transport
 This package contains a APT https transport. It makes it possible to
 use 'deb https://foo distro main' lines in the sources.list.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.68 2004/05/30 18:21:43 mdz Exp $

# LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  export CXXFLAGS = -O0 -g -Wall
else
  export CXXFLAGS = -O2 -g -Wall
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed -e 's/\+.*$$//')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

debian/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@

build: build/build-stamp	
build-doc: build/build-doc-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir
#	dh_testroot
	-$(MAKE) clean
	-$(MAKE) distclean

	rm -rf build

	# Add here commands to clean up after the build process.
	dh_clean debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#	
	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
                            $(BLD)/docs/files* $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt doc/style.txt
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: apt-transport-https apt libapt-pkg-dev apt-utils
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@ /usr/share/bug/$@ /usr/share/$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/$@/usr/bin/

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
	cp -r $(BLD)/locale debian/$@/usr/share/

	cp debian/bugscript debian/$@/usr/share/bug/apt/script
	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt

	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
#	head -n 500 ChangeLog > debian/ChangeLog

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	# move the mirror failure script in place
	mv debian/$@/usr/bin/apt-report-mirror-failure \
	   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ 
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l`pwd`/debian/apt/usr/lib:`pwd`/debian/$@/usr/lib -- -Ldebian/shlibs.local.apt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/

## apt 0.7.6ubuntu14.1

=== debian/changelog ===
apt (0.7.6ubuntu14.1) gutsy-proposed; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.{cc,h}:
    - give up timeslice on EIO error in read from master terminal
  * debian/apt.cron.daily:
    - only run the cron job if apt-get check succeeds (LP: #131719)

  [ Martin Emrich ]  
  * apt-pkg/deb/dpkgpm.{cc,h}:
    - rewrite dpkgpm.cc to use pselect() instead of select()
      to block signals during select() (LP: #134858)
 
 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 20 Oct 2007 07:51:12 +0200

## apt 0.7.9ubuntu17

=== debian/changelog ===
apt (0.7.9ubuntu17) hardy; urgency=low

  * apt-pkg/acquire-item.cc:
    - fix signaure removal on transient network failures 
      (thanks to Scott James Remnant)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Apr 2008 15:32:49 +0200

apt (0.7.9ubuntu16) hardy; urgency=low

  * cmdline/apt-key:
    - only check against master-keys in net-update to not break
      custom CDs (thanks to Colin Watson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2008 14:17:14 +0200

apt (0.7.9ubuntu15) hardy; urgency=low

  * cmdline/apt-get.cc:
    - do two passes when installing tasks, first ignoring dependencies,
      then resolving them and run the problemResolver at the end
      so that it can correct any missing dependencies. This should
      fix livecd building for kubuntu (thanks to Jonathan Riddell 
      for reporting the problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Mar 2008 23:25:45 +0100

apt (0.7.9ubuntu14) hardy; urgency=low

  * cmdline/apt-get.cc:
    - fix incorrect help output for -f (LP: #57487)
    - run the problemResolver after a task was installed
      so that it can correct any missing dependencies
  * typo fixes (LP: #107960)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Mar 2008 21:46:07 +0100

apt (0.7.9ubuntu13) hardy; urgency=low

  [ Lionel Porcheron ]
  * debian/apt.cron.daily:
    - only call gconftool if gcontool is installed (LP: #194281)

  [ Michael Vogt ]
  * doc/apt_preferences.5.xml:
    - fix typo (LP: #150900)
  * doc/example/sources.list:
    - updated for hardy (LP: #195879)
  * debian/apt.cron.daily:
    - sleep random amount of time (default within 0-30min) before
      starting the upate to hit the mirrors less hard

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Mar 2008 15:35:09 +0100

apt (0.7.9ubuntu12) hardy; urgency=low

  * debian/apt.cron.daily:
    - use admin user proxy settings
  * cmdline/apt-get.cc:
    - fix task installation (thanks to Colin Watson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Feb 2008 15:07:44 +0100

apt (0.7.9ubuntu11) hardy; urgency=low

  * apt-pkg/algorithms.cc: 
    - add APT::Update::Post-Invoke-Success script slot
      (LP: #188127)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Jan 2008 12:06:12 +0100

apt (0.7.9ubuntu10) hardy; urgency=low

  * cmdline/apt-key:
    - add "net-update" command that fetches the 
      ubuntu-archive-keyring.gpg and add keys from it that are 
      signed by the ubuntu-master-keyring.gpg 
      (apt-archive-key-signatures spec)
  * debian/apt.cron.daily:
    - add apt-key net-update to the nightly cron job

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Feb 2008 15:50:28 +0100

apt (0.7.9ubuntu9) hardy; urgency=low

  * fix FTBFS due to incorrect intltool build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Feb 2008 16:04:37 +0100

apt (0.7.9ubuntu8) hardy; urgency=low

  * share/apt-auth-failure.note:
    - show update-notifier note if the nightly update fails with a
      authentication failure (apt-authentication-reliability spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Feb 2008 14:04:56 +0100

apt (0.7.9ubuntu7) hardy; urgency=low

  * methods/connect.cc:
    - remember hosts with Resolve failures or connect Timeouts
      see https://wiki.ubuntu.com/NetworklessInstallationFixes
  * cmdlines/apt-key:
    - fix bug in the new apt-key update code that imports only
      keys signed with the master key (thanks to cjwatson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Feb 2008 11:38:35 +0100

apt (0.7.9ubuntu6) hardy; urgency=low

  * cmdline/apt-key:
    - add support for a master-keyring that contains signing keys
      that can be used to sign the archive signing keys. This should
      make key-rollover easier.
  * apt-pkg/deb/dpkgpm.cc:
    - merged patch from Kees Cook to fix anoying upper-case display
      on amd64 in sbuild
  * apt-pkg/algorithms.cc: 
    - add APT::Update::Post-Invoke-Success script slot
    - Make the breaks handling use the kill list. This means, that a
      Breaks: Pkg (<< version) may put Pkg onto the remove list.
  * apt-pkg/deb/dpkgpm.cc:
    - add APT::Apport::MaxReports to limit the maximum number
      of reports generated in a single run (default to 3)
  * apt-pkg/deb/debmetaindex.cc:
    - add missing "Release" file uri when apt-get update --print-uris
      is run

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Feb 2008 14:28:02 +0100

apt (0.7.9ubuntu5) hardy; urgency=low

  * Merged apt-authentication-reliabilty branch. This means
    that apt will refuse to update and use the old lists if
    the authentication of a repository that used to be 
    authenticated fails. See
    https://wiki.ubuntu.com/AptAuthenticationReliability
    for more details.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jan 2008 10:36:10 +0100

apt (0.7.9ubuntu4) hardy; urgency=low

  * apt-pkg/algorithms.cc:
    - Since APT::Get::List-Cleanup and APT::List-Cleanup both default to
      true, the effect of the compatibility code was to require both of them
      to be set to false in order to disable list cleanup; this broke the
      installer. Instead, disable list cleanup if either of them is set to
      false.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jan 2008 22:34:37 +0000

apt (0.7.9ubuntu3) hardy; urgency=low

  * merged the apt--DoListUpdate branch, this provides a common interface
    for "apt-get update" like operations for the frontends and also provides
    hooks to run stuff in APT::Update::{Pre,Post}-Invoke

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Jan 2008 19:02:11 +0100

apt (0.7.9ubuntu2) hardy; urgency=low

  [ Otavio Salvador ]
  * Applied patch from Aurelien Jarno <aurel32@debian.org> to fix building
    with newest dpkg-shlibdeps changing the packaging building order and a
    patch from Robert Millan <rmh@aybabtu.com> to fix parallel building,
    closes: #452862.


## apt 0.7.9ubuntu17.2

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc
all headers library clean veryclean binary program doc dirs:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C share $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
	$(MAKE) -C doc $@
	$(MAKE) -C po $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h build/doc/Doxyfile makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.7.9ubuntu17.2) hardy-security; urgency=low

  * SECURITY UPDATE: honor expired and revoked key signatures
    - adjust methods/gpgv.cc to mark a signature as valid only if GOODSIG
      is set by gpgv
    - CVE-XXXX-XXXX
    - Patch from Michael Vogt
  * SECURITY UPDATE: ensure automatic updates are not permanently disabled
    in certain situations when the timezone's DST starts at midnight
    - adjust debian/apt.cron.daily to check the return code of date
    - CVE-XXXX-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Apr 2009 09:33:56 -0500

apt (0.7.9ubuntu17.1) hardy-proposed; urgency=low

  * apt-pkg/indexcopy.cc:
    - support having CDs with no Packages file (just a Packages.gz)
      by not forcing a verification on non-existing files
     (LP: #255545)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2008 14:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.7.2.2
-Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5)
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), intltool
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
 XS-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu

=== debian/rules ===
--- 
+++ 
@@ -185,7 +185,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt-transport-https apt libapt-pkg-dev apt-utils
+binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
 apt: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
@@ -204,6 +204,8 @@
 	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
 
 	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/
+	# https has its own package
+	rm debian/$@/usr/lib/apt/methods/https
 
 	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
 	cp -r $(BLD)/locale debian/$@/usr/share/
@@ -212,6 +214,7 @@
 	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt
 
 	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
+	sed 's/^_//' share/apt-auth-failure.note > debian/$@/usr/share/$@/apt-auth-failure.note
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
 #	head -n 500 ChangeLog > debian/ChangeLog
@@ -243,9 +246,3 @@
 libapt-pkg-dev: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
-	dh_clean -p$@ -k
-	dh_installdirs -p$@
-#
-# libapt-pkg-dev install
-#
-	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/

## apt 0.7.9ubuntu17.3~cesg2

=== debian/changelog ===
apt (0.7.9ubuntu17.3~cesg2) netbook-common; urgency=low

  * apt-inst/contrib/arfile.cc: Backport fix from upstream for Debian 500988,
    which fixes spurious errors when working with a .deb that was generated
    by gnu 'ar'. Part of a fix for LP: #436089, LP: #431857

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 24 Sep 2009 15:59:12 -0400

apt (0.7.9ubuntu17.3~cesg1) netbook-common; urgency=low

   [Cody A.W. Somerville]
   * Prepared upload for OEM Solutions Group.

  [Michael Vogt]
  * make Max-Pipeline-Depth configurable and smaller
    to hopefully avoid a hang in http fetching
  * fix problem with server dying when the remote closes the 
    connection too early
  * better error output when a message exists unexpected    

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Thu, 30 Jul 2009 14:03:49 -0300

## apt 0.7.9ubuntu17.6

=== debian/changelog ===
apt (0.7.9ubuntu17.6) hardy-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is still insecure
    - cmdline/apt-key: exit 1 immediately in net_update()
    - CVE-2012-0954
    - LP: #1013639

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Jun 2012 07:48:24 -0500

apt (0.7.9ubuntu17.5) hardy-security; urgency=low

  * adjust apt-key to ensure no collisions on subkeys too. Patch thanks to
    Marc Deslauriers. (LP: #1013128)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jun 2012 11:00:24 -0500

apt (0.7.9ubuntu17.4) hardy-security; urgency=low

  * SECURITY UPDATE: Restore apt-ket net-update functionality (LP: #857472)
    - cmdline/apt-key: improve key validation.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2011 13:57:52 -0500

apt (0.7.9ubuntu17.3) hardy-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is insecure. (LP: #856489)
    - cmdline/apt-key: exit immediately out of net_update().
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Sep 2011 11:26:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.7.2.2

## apt 0.7.14ubuntu6

=== debian/changelog ===
apt (0.7.14ubuntu6) intrepid; urgency=low

  * debian/apt.conf.autoremove:
    - remove "linux-image" (and friends) from the auto-remove
      blacklist. we have the kernel fallback infrastructure now
      in intrepid (thanks to BenC)
  * apt-pkg/indexcopy.cc:
    - support having CDs with no Packages file (just a Packages.gz)
      by not forcing a verification on non-existing files
     (LP: #255545)
  * apt-pkg/deb/dpkgpm.cc:
    - improve the filtering for duplicated apport reports (thanks
      to seb128 for pointing that problem out)
    - do not report disk full errors from dpkg via apport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Aug 2008 16:28:05 +0200

apt (0.7.14ubuntu5) intrepid; urgency=low

  * fix various -Wall warnings
  * make "apt-get build-dep" installed packages marked automatic
    by default. This can be changed by setting the value of
    APT::Get::Build-Dep-Automatic to false (thanks to Aaron 
    Haviland, closes: #44874, LP: #248268)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Aug 2008 14:00:51 +0200

apt (0.7.14ubuntu4) intrepid; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix uninitialized variable that caused no apport reports
      to be written sometimes (thanks to Matt Zimmerman)
  * merge patch that enforces stricter https server certificate
    checking (thanks to Arnaud Ebalard, closes: #485960)
  * allow per-mirror specific https settings
    (thanks to Arnaud Ebalard, closes: #485965)
  * add doc/examples/apt-https-method-example.cof
    (thanks to Arnaud Ebalard, closes: #485964)
  * add DPkg::NoTriggers option so that applications that call
    apt/aptitude (like the installer) defer trigger processing
    (thanks to Joey Hess) 
  * document --install-recommends and --no-install-recommends
    (thanks to Dereck Wonnacott, LP: #126180)
  
  [ Dereck Wonnacott ]
  * apt-ftparchive might write corrupt Release files (LP: #46439)
  * Apply --important option to apt-cache depends (LP: #16947) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 10:10:49 +0200

apt (0.7.14ubuntu3) intrepid; urgency=low

  [ Otavio Salvador ]
  * Apply patch to avoid truncating of arbitrary files. Thanks to Bryan
    Donlan <bdonlan@fushizen.net> for the patch. Closes: #482476
  * Avoid using dbus if dbus-daemon isn't running. Closes: #438803

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - improve apt progress reporting, display trigger actions
  * apt-pkg/depcache.cc:
    - when checking for new important deps, skip critical ones
      (LP: #236360)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2008 17:27:07 +0200

apt (0.7.14ubuntu2) intrepid; urgency=low

  * debian/control:
    - fix FTBFS by adding missing intltool dependency 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 May 2008 13:50:22 +0200

apt (0.7.14ubuntu1) intrepid; urgency=low

  [ Michael Vogt ]
  * enable installation of recommends by default
  * debian/apt.conf.ubuntu:
    - remove APT::Install-Recommends-Sections (no longer needed)
  * merged from debian/sid, remaining changes:
    - authentication-reliable branch (to be merged into debian soon)
    - mirror:// uri branch (breaks ABI in debian, not merged yet)
    - apport failure reporting
    - show warning on apt-get source with 'Vcs-' header
    - proxy detection from gconf in apt.cron
  
  [ Christian Perrier ]
  * Mark a message from dselect backend as translatable
    Thanks to Frédéric Bothamy for the patch
    Closes: #322470

  [ Program translations ]
  * Simplified Chinese updated. Closes: #473360
  * Catalan fixes. Closes: #387141
  * Typo fix in Greek translation. Closes: #479122
  * French updated.
  * Thai updated. Closes: #479313
  * Italian updated. Closes: #479326
  * Polish updated. Closes: #479342
  * Bulgarian updated. Closes: #479379
  * Finnish updated. Closes: #479403
  * Korean updated. Closes: #479426
  * Basque updated. Closes: #479452
  * Vietnamese updated. Closes: #479748
  * Russian updated. Closes: #479777
  * Galician updated. Closes: #479792
  * Portuguese updated. Closes: #479847
  * Swedish updated. Closes: #479871
  * Dutch updated. Closes: #480125
  * Kurdish added. Closes: #480150
  * Brazilian Portuguese updated. Closes: #480561
  * Hungarian updated. Closes: #480662

  [ Otavio Salvador ]
  * Apply patch to avoid truncating of arbitrary files. Thanks to Bryan
    Donlan <bdonlan@fushizen.net> for the patch. Closes: #482476
  * Avoid using dbus if dbus-daemon isn't running. Closes: #438803
  
  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - apply patch based on the ideas of Francesco Poli for better 
      behavior when the cache can not be locked (closes: #459344)

 -- Michael Vogt <mvo@debian.org>  Wed, 28 May 2008 15:19:12 +0200

apt (0.7.13) unstable; urgency=low

  [ Otavio Salvador ]
  * Add missing build-depends back from build-depends-indep field.
    Closes: #478231
  * Make cron script quiet if cache is locked. Thanks to Ted Percival
    <ted@midg3t.net> for the patch. Closes: #459344
  * Add timeout support for https. Thanks to Andrew Martens
    <andrew.martens@strangeloopnetworks.com> for the patch.

  [ Goswin von Brederlow ]
  * Add support for --no-download on apt-get update. Closes: #478517
  
  [ Program translations ]
    - Vietnamese updated. Closes: #479008
    
 -- Otavio Salvador <otavio@debian.org>  Fri, 02 May 2008 14:46:00 -0300

apt (0.7.12) unstable; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-key:
    - add support for a master-keyring that contains signing keys
      that can be used to sign the archive signing keys. This should
      make key-rollover easier.
  * apt-pkg/deb/dpkgpm.cc:
    - merged patch from Kees Cook to fix anoying upper-case display
      on amd64 in sbuild
  * apt-pkg/algorithms.cc:
    - add APT::Update::Post-Invoke-Success script slot
    - Make the breaks handling use the kill list. This means, that a
      Breaks: Pkg (<< version) may put Pkg onto the remove list.


## apt 0.7.14ubuntu6.1

=== debian/changelog ===
apt (0.7.14ubuntu6.1) intrepid-security; urgency=low

  * SECURITY UPDATE: honor expired and revoked key signatures
    - adjust methods/gpgv.cc to mark a signature as valid only if GOODSIG
      is set by gpgv
    - CVE-XXXX-XXXX
    - Patch from Michael Vogt
  * SECURITY UPDATE: ensure automatic updates are not permanently disabled
    in certain situations when the timezone's DST starts at midnight
    - adjust debian/apt.cron.daily to check the return code of date
    - CVE-XXXX-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Apr 2009 09:35:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.7.2.2
-Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), intltool
-Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
-XS-Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12-1), xsltproc, docbook-xsl, xmlto, intltool
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu
 
 Package: apt
 Architecture: any
